declare type Promisable<T> = Promise<T> | T;
declare type Options = {
    depth?: number;
    followSymlinks?: boolean;
    ignore?: (targetPath: string) => boolean;
    signal?: {
        aborted: boolean;
    };
};
declare type ResultDirectory = {
    directories: string[];
    files: string[];
    symlinks: string[];
};
declare type ResultDirectories = {
    [path: string]: ResultDirectory;
};
declare type Result = ResultDirectory & {
    map: ResultDirectories;
};
export type { Promisable, Options, ResultDirectory, ResultDirectories, Result };
